## org.eclipse.datatools.connectivity.oda.design
Interface DataSourceDesign

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataSourceDesign

extends org.eclipse.emf.ecore.EObject

A design-time data source definition.

The following features are supported:

- `Name`
- `Oda Extension Id`
- `Effective Oda Extension Id`
- `Oda Extension Data Source Id`
- `Display Name`
- `Public Properties`
- `Private Properties`
- `Linked Profile Name`
- `Linked Profile Store File Path`
- `Host Resource Identifiers`
- `Resource File`

See Also:
  `DesignPackage.getDataSourceDesign()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getDisplayNameKey()` Returns the resource key of the 'Display Name' attribute.
`java.lang.String` `getEffectiveOdaExtensionId()` Returns the value of the 'Effective Oda Extension Id' attribute.
`ResourceIdentifiers` `getHostResourceIdentifiers()` Returns the value of the 'Host Resource Identifiers' containment reference.
`java.lang.String` `getLinkedProfileName()` Returns the value of the 'Linked Profile Name' attribute.
`java.io.File` `getLinkedProfileStoreFile()` Returns the profile storage file where the linked profile is stored.
`java.lang.String` `getLinkedProfileStoreFilePath()` Returns the value of the 'Linked Profile Store File Path' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getOdaExtensionDataSourceId()` Returns the value of the 'Oda Extension Data Source Id' attribute.
`java.lang.String` `getOdaExtensionId()` Returns the value of the 'Oda Extension Id' attribute.
`Properties` `getPrivateProperties()` Returns the value of the 'Private Properties' containment reference.
`Properties` `getPublicProperties()` Returns the value of the 'Public Properties' containment reference.
`java.lang.String` `getResourceFile()` Returns the value of the 'Resource File' attribute.
`boolean` `hasLinkToProfile()` Indicates whether the data source design has a link to an external connection profile in a profile store.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setDisplayNameKey(java.lang.String value)` Sets the resource key of the '`Display Name`' attribute.
`void` `setEffectiveOdaExtensionId(java.lang.String value)` Sets the value of the '`Effective Oda Extension Id`' attribute.
`void` `setHostResourceIdentifiers(ResourceIdentifiers value)` Sets the value of the '`Host Resource Identifiers`' containment reference.
`void` `setLinkedProfileName(java.lang.String value)` Sets the value of the '`Linked Profile Name`' attribute.
`void` `setLinkedProfileStoreFile(java.io.File storageFile)` Sets the profile storage file where the linked profile is stored.
`void` `setLinkedProfileStoreFilePath(java.lang.String value)` Sets the value of the '`Linked Profile Store File Path`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setOdaExtensionDataSourceId(java.lang.String value)` Sets the value of the '`Oda Extension Data Source Id`' attribute.
`void` `setOdaExtensionId(java.lang.String value)` Sets the value of the '`Oda Extension Id`' attribute.
`void` `setPrivateProperties(Properties value)` Sets the value of the '`Private Properties`' containment reference.
`void` `setPublicProperties(Properties value)` Sets the value of the '`Public Properties`' containment reference.
`void` `setResourceFile(java.lang.String value)` Sets the value of the '`Resource File`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. The unique name that identifies an instance of dataSourceDesign.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getDataSourceDesign_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getOdaExtensionId

    java.lang.String getOdaExtensionId()

  Returns the value of the 'Oda Extension Id' attribute. The extension ID defined in an ODA extension plugin manifest. It identifies the supporting ODA driver's extension plug-in that implements the ODA run-time extension point.

  Returns:
    the value of the 'Oda Extension Id' attribute.
  See Also:
    `setOdaExtensionId(String)`, `DesignPackage.getDataSourceDesign_OdaExtensionId()`

### setOdaExtensionId

    void setOdaExtensionId(java.lang.String value)

  Sets the value of the '`Oda Extension Id`' attribute.

  Parameters:
    `value` - the new value of the 'Oda Extension Id' attribute.
  See Also:
    `getOdaExtensionId()`

### getEffectiveOdaExtensionId

    java.lang.String getEffectiveOdaExtensionId()

  Returns the value of the 'Effective Oda Extension Id' attribute. The ID of the effective oda.datasource extension, which will be consumed by the ODA consumer framework at runtime. This could be another extension that overrides this ODA extension at runtime.

  Returns:
    the value of the 'Effective Oda Extension Id' attribute.
  Since:
    3.3.3
  See Also:
    `setEffectiveOdaExtensionId(String)`, `DesignPackage.getDataSourceDesign_EffectiveOdaExtensionId()`

### setEffectiveOdaExtensionId

    void setEffectiveOdaExtensionId(java.lang.String value)

  Sets the value of the '`Effective Oda Extension Id`' attribute.

  Parameters:
    `value` - the new value of the 'Effective Oda Extension Id' attribute.
  Since:
    3.3.3
  See Also:
    `getEffectiveOdaExtensionId()`

### getOdaExtensionDataSourceId

    java.lang.String getOdaExtensionDataSourceId()

  Returns the value of the 'Oda Extension Data Source Id' attribute. The data source element ID defined in an ODA extension plugin manifest. Optional, defaults to be same as the ODA extension id if only one dataSource element is defined in the manifest.

  Returns:
    the value of the 'Oda Extension Data Source Id' attribute.
  See Also:
    `setOdaExtensionDataSourceId(String)`, `DesignPackage.getDataSourceDesign_OdaExtensionDataSourceId()`

### setOdaExtensionDataSourceId

    void setOdaExtensionDataSourceId(java.lang.String value)

  Sets the value of the '`Oda Extension Data Source Id`' attribute.

  Parameters:
    `value` - the new value of the 'Oda Extension Data Source Id' attribute.
  See Also:
    `getOdaExtensionDataSourceId()`

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. Text can be localized with a resource key.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getDataSourceDesign_DisplayName()`, `getDisplayNameKey()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`, `setDisplayNameKey(String)`

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the resource key of the 'Display Name' attribute.

  Returns:
    the resource key of the 'Display Name' attribute; may be null if none is available
  Since:
    3.2.3
  See Also:
    `setDisplayNameKey(String)`, `getDisplayName()`, `getResourceFile()`

### setDisplayNameKey

    void setDisplayNameKey(java.lang.String value)

  Sets the resource key of the '`Display Name`' attribute.

  Parameters:
    `value` - the new resource key of the 'Display Name' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getDisplayNameKey()`, `setDisplayName(String)`, `getResourceFile()`

### getPublicProperties

    Properties getPublicProperties()

  Returns the value of the 'Public Properties' containment reference. Properties specific to the underlying data source connection. Public property values can be visible and editable in the host designer.

  Returns:
    the value of the 'Public Properties' containment reference.
  See Also:
    `setPublicProperties(Properties)`, `DesignPackage.getDataSourceDesign_PublicProperties()`

### setPublicProperties

    void setPublicProperties(Properties value)

  Sets the value of the '`Public Properties`' containment reference.

  Parameters:
    `value` - the new value of the 'Public Properties' containment reference.
  See Also:
    `getPublicProperties()`

### getPrivateProperties

    Properties getPrivateProperties()

  Returns the value of the 'Private Properties' containment reference. Private properties specific to the underlying data source connection. Their definitions are private to the ODA designer, i.e. must not be visible nor editable by the host designer.

  Returns:
    the value of the 'Private Properties' containment reference.
  See Also:
    `setPrivateProperties(Properties)`, `DesignPackage.getDataSourceDesign_PrivateProperties()`

### setPrivateProperties

    void setPrivateProperties(Properties value)

  Sets the value of the '`Private Properties`' containment reference.

  Parameters:
    `value` - the new value of the 'Private Properties' containment reference.
  See Also:
    `getPrivateProperties()`

### getLinkedProfileName

    java.lang.String getLinkedProfileName()

  Returns the value of the 'Linked Profile Name' attribute. The name of a linked connection profile.

  Returns:
    the value of the 'Linked Profile Name' attribute.
  See Also:
    `setLinkedProfileName(String)`, `DesignPackage.getDataSourceDesign_LinkedProfileName()`

### setLinkedProfileName

    void setLinkedProfileName(java.lang.String value)

  Sets the value of the '`Linked Profile Name`' attribute.

  Parameters:
    `value` - the new value of the 'Linked Profile Name' attribute.
  See Also:
    `getLinkedProfileName()`

### getLinkedProfileStoreFilePath

    java.lang.String getLinkedProfileStoreFilePath()

  Returns the value of the 'Linked Profile Store File Path' attribute. The full path name of a linked connection profiles storage file where the linked profile is to be located at run-time. A null value indicates to use the default DTP profiles storage file.

  Returns:
    the value of the 'Linked Profile Store File Path' attribute.
  See Also:
    `setLinkedProfileStoreFilePath(String)`, `DesignPackage.getDataSourceDesign_LinkedProfileStoreFilePath()`

### setLinkedProfileStoreFilePath

    void setLinkedProfileStoreFilePath(java.lang.String value)

  Sets the value of the '`Linked Profile Store File Path`' attribute.

  Parameters:
    `value` - the new value of the 'Linked Profile Store File Path' attribute.
  See Also:
    `getLinkedProfileStoreFilePath()`

### getHostResourceIdentifiers

    ResourceIdentifiers getHostResourceIdentifiers()

  Returns the value of the 'Host Resource Identifiers' containment reference. The resource identifiers of the ODA host application that initiates the ODA design session request. An ODA host application may optionally specify its resource identifiers for reference by an ODA designer. Its support and usage by a custom ODA designer is optional and implementation-dependent.

  Returns:
    the value of the 'Host Resource Identifiers' containment reference.
  Since:
    DTP 1.6.1
  See Also:
    `setHostResourceIdentifiers(ResourceIdentifiers)`, `DesignPackage.getDataSourceDesign_HostResourceIdentifiers()`

### setHostResourceIdentifiers

    void setHostResourceIdentifiers(ResourceIdentifiers value)

  Sets the value of the '`Host Resource Identifiers`' containment reference.

  Parameters:
    `value` - the new value of the 'Host Resource Identifiers' containment reference.
  Since:
    DTP 1.6.1
  See Also:
    `getHostResourceIdentifiers()`

### getResourceFile

    java.lang.String getResourceFile()

  Returns the value of the 'Resource File' attribute. The base name of a resource file for all localizable design attributes. The file name must end with .properties, and must locate relative to one of the host resource identifiers.

  Returns:
    the value of the 'Resource File' attribute.
  Since:
    3.2.3
  See Also:
    `setResourceFile(String)`, `DesignPackage.getDataSourceDesign_ResourceFile()`

### setResourceFile

    void setResourceFile(java.lang.String value)

  Sets the value of the '`Resource File`' attribute.

  Parameters:
    `value` - the new value of the 'Resource File' attribute.
  Since:
    3.2.3
  See Also:
    `getResourceFile()`

### getLinkedProfileStoreFile

    java.io.File getLinkedProfileStoreFile()

  Returns the profile storage file where the linked profile is stored.

  Returns:
    the linked profile storage file, or null value if no profile store is set
  See Also:
    `getLinkedProfileStoreFilePath()`, `setLinkedProfileStoreFile(File)`

### setLinkedProfileStoreFile

    void setLinkedProfileStoreFile(java.io.File storageFile)

  Sets the profile storage file where the linked profile is stored.

  Parameters:
    `storageFile` - the profile storage file; null value unsets any linked profile store
  See Also:
    `getLinkedProfileStoreFile()`, `getLinkedProfileStoreFilePath()`

### hasLinkToProfile

    boolean hasLinkToProfile()

  Indicates whether the data source design has a link to an external connection profile in a profile store.

  Returns:
    true if a link is specified; false otherwise